List Sections for a Policy

GET /pcas/v3/policy/section/

With this API, you can list the details of a particular section within a compliance policy.

Input ParametersInput Parameters

Parameter

Required/Optional

Data Type

Description

policyId={value} Required Integer The ID of the policy for which you want to list all section details.
sectionNumber={value} Required Integer Enter the section number for which you want to list all details.

Sample - Retrieve details about a particular section in the policySample - Retrieve details about a particular section in the policy

API Request

curl -X 'GET' \<qualys_base_url>/pcas/v3/policy/section?policyId=5656121&sectionNumber=1' 
\ -H 'accept: application/json' 
\ -H 'Authorization: Bearer 'token''

XML Output

{
  "sectionNumber": 1,
  "sectionHeading": "Section-1",
  "controls": [
    {
      "controlId": 1072,
      "sectionNumber": 1,
      "controlNumber": 1,
      "statement": "Status of the 'Minimum Password Age' setting",
      "criticality": "CRITICAL",
      "isControlDisable": false,
      "referenceText": "Control 1072",
      "technologies": [
        {
          "technologyId": 18,
          "technologyName": "Windows Vista",
          "evaluate": {
            "dp": {
              "k": "win.auth.passwords.minage",
              "v": [
                "1"
              ],
              "description": "The following Integer value <B>X</B> indicates the current status of the <B>'Minimum Password Age' (min_pass_age)</B> within the <B>Computer Configuration\\Windows Settings\\Security Settings\\Account Policies\\Password Policy\\Minimum password age</B>setting for local accounts.",
              "fv": [
                {
                  "value": "161803399999999",
                  "set": "0",
                  "description": "Attribute not found"
                }
              ],
              "op": "eq"
            }
          },
          "remediation": "Among the characteristics that make user identification via 'password' a workable security solution is setting a minimum password age. Without this minimum age requirement, any user(s) who wish to re-use the same password can merely cycle through a number of previously used passwords until returning to the preferred one (this is determined by the Password History setting)."
        }
      ]
    }
  ]
}


 

 

 

success Thank you! We're glad to hear that this topic was useful.
success We appreciate your feedback. We'll work to make this topic better for you in the future.